GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit Class Reference

## Public Member Functions
List< String > | getShipmentUnitReference ()
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)
String | getNote1 ()
void | setNote1 (String value)
String | getNote2 ()
void | setNote2 (String value)

## Protected Attributes
List< String > | shipmentUnitReference
BigDecimal | weight
String | note1
String | note2

## Detailed Description

Shipment attributes

Java class for PickUpShipmentUnit complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PickUpShipmentUnit">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight"/>
            <element name="Note1" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Note"/>
            <element name="Note2" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Note"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 48 of file PickUpShipmentUnit.java.

## Member Function Documentation

## ◆ getNote1()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.getNote1 | ( |  | ) |

Gets the value of the note1 property.

Returns
  possible object is String

Definition at line 122 of file PickUpShipmentUnit.java.

## ◆ getNote2()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.getNote2 | ( |  | ) |

Gets the value of the note2 property.

Returns
  possible object is String

Definition at line 146 of file PickUpShipmentUnit.java.

## ◆ getShipmentUnitReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnitReference property.

For example, to add a new item, do as follows:

       getShipmentUnitReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 83 of file PickUpShipmentUnit.java.

## ◆ getWeight()

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 98 of file PickUpShipmentUnit.java.

## ◆ setNote1()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.setNote1 | ( | String | value | ) |

Sets the value of the note1 property.

Parameters

  value | allowed object is String

Definition at line 134 of file PickUpShipmentUnit.java.

## ◆ setNote2()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.setNote2 | ( | String | value | ) |

Sets the value of the note2 property.

Parameters

  value | allowed object is String

Definition at line 158 of file PickUpShipmentUnit.java.

## ◆ setWeight()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 110 of file PickUpShipmentUnit.java.

## Member Data Documentation

## ◆ note1

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.note1
| protected

Definition at line 57 of file PickUpShipmentUnit.java.

## ◆ note2

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.note2
| protected

Definition at line 59 of file PickUpShipmentUnit.java.

## ◆ shipmentUnitReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.shipmentUnitReference
| protected

Definition at line 51 of file PickUpShipmentUnit.java.

## ◆ weight

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipmentUnit.weight
| protected

Definition at line 55 of file PickUpShipmentUnit.java.

The documentation for this class was generated from the following file:

- PickUpShipmentUnit.java